libqmi-tools-1.22.4-1.1.x86_64.rpm


Advertisement

Description

libqmi-tools - Helper utilities to control QMI devices

Property Value
Distribution openSUSE Tumbleweed
Repository openSUSE Oss all
Package filename libqmi-tools-1.22.4-1.1.x86_64.rpm
Package name libqmi-tools
Package version 1.22.4
Package release 1.1
Package architecture x86_64
Package type rpm
Category Hardware/Modem
Homepage https://www.freedesktop.org/wiki/Software/libqmi/
License LGPL-2.1+ AND GPL-2.0+
Maintainer -
Download size 180.34 KB
Installed size 636.34 KB
libqmi is a glib-based library for talking to WWAN modems and devices
which speak the Qualcomm MSM Interface (QMI) protocol.
This package contains command line tools to manage such devices.

Alternatives

Package Version Architecture Repository
libqmi-tools-1.22.4-23.1.x86_64.rpm 1.22.4 x86_64 GNOME Next
libqmi-tools-1.22.4-23.1.i586.rpm 1.22.4 i586 GNOME Next
libqmi-tools-1.22.4-1.1.i586.rpm 1.22.4 i586 openSUSE Oss
libqmi-tools - - -

Requires

Name Value
libc.so.6(GLIBC_2.15)(64bit) -
libgio-2.0.so.0()(64bit) -
libglib-2.0.so.0()(64bit) -
libgobject-2.0.so.0()(64bit) -
libgudev-1.0.so.0()(64bit) -
libmbim-glib.so.4()(64bit) -
libqmi-glib.so.5()(64bit) -

Provides

Name Value
libqmi-tools = 1.22.4-1.1
libqmi-tools(x86-64) = 1.22.4-1.1

Download

Type URL
Mirror widehat.opensuse.org
Binary Package libqmi-tools-1.22.4-1.1.x86_64.rpm
Source Package libqmi-1.22.4-1.1.src.rpm

Install Howto

Install libqmi-tools rpm package:

# zypper install libqmi-tools

Files

Path
/usr/bin/qmi-firmware-update
/usr/bin/qmi-network
/usr/bin/qmicli
/usr/lib/qmi-proxy
/usr/share/bash-completion/
/usr/share/bash-completion/completions/qmicli
/usr/share/doc/packages/libqmi-tools/NEWS
/usr/share/licenses/libqmi-tools/COPYING
/usr/share/man/man1/qmi-firmware-update.1.gz
/usr/share/man/man1/qmi-network.1.gz
/usr/share/man/man1/qmicli.1.gz

Changelog

2019-04-11 - Martin Hauke <mardnh@gmx.de>
- Update to version 1.22.4:
+ New request/responses/indications:
- uim: new "Register Events" request/response.
- dms: new "Dell Change Device Mode" request/response.
- dms: new "Dell Get Firmware Version" request/response.
+ libqmi-glib:
- wds: fixed reporting unknown current rates.
+ qmi-proxy:
- Increased empty lifetime to 300s.
+ qmicli:
Avoid priting service option in 3GPP devices.
2019-03-02 - Bjørn Lie <bjorn.lie@gmail.com>
- Update to version 1.22.2:
+ Fixed CID tracking logic in the qmi-proxy.
https://gitlab.freedesktop.org/mobile-broadband/libqmi/issues/9

See Also

Package Description
libqmmp-devel-1.3.2-1.1.i586.rpm Development files for libqmmp
libqmmp-devel-1.3.2-1.1.x86_64.rpm Development files for libqmmp
libqmmp-plugins-1.3.2-1.1.i586.rpm Plugins for libqmmp
libqmmp-plugins-1.3.2-1.1.x86_64.rpm Plugins for libqmmp
libqmmp1-1.3.2-1.1.i586.rpm Qmmp library
libqmmp1-1.3.2-1.1.x86_64.rpm Qmmp library
libqmmp1-32bit-1.3.2-1.1.x86_64.rpm Qmmp library
libqoauth2-2.0.0-3.2.i586.rpm Library for interaction with OAuth-powered network services
libqoauth2-2.0.0-3.2.x86_64.rpm Library for interaction with OAuth-powered network services
libqobs-devel-1.0.1-1.2.i586.rpm Development files for libqobs
libqobs-devel-1.0.1-1.2.x86_64.rpm Development files for libqobs
libqobs1-1.0.1-1.2.i586.rpm A Qt-based OBS library
libqobs1-1.0.1-1.2.x86_64.rpm A Qt-based OBS library
libqore5-0.8.13-2.4.i586.rpm The libraries for the qore runtime and qore clients
libqore5-0.8.13-2.4.x86_64.rpm The libraries for the qore runtime and qore clients
Advertisement
Advertisement